# -*- coding: utf-8 -*-
## Copyright (C) 2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
content to be dispatched
"""


from zope.interface import implements

from Products.ContentDispatcher.interface import \
    IFssPluginData,\
    IZexpPluginData, \
    IPluginExporter

from Products.CMFCore.utils import getToolByName



    

class FssPluginData:
    """ 
    file system storage content
    """
    implements(IFssPluginData)

    def __init__(self):
        self.data=[]
    
    def getData(self):
        return self.data

    def __len__(self):
        return len(self.data)


class ZexpPluginData:
    """ 
    zexp pluggin content
    """
    implements(IZexpPluginData)
    
    
    def __init__(self,data=None):
        self.data=data

    def getData(self):
        """ 
        return zexp data
        """
        return self.data

    
class ContentDispatcher:
    """
    contains all data to dispach in a remote site
    """

    def __init__(self,context):
        """
        create all data to be dispatch
        """
        
        cdt=getToolByName(context,'content_dispatcher_tool')
        self.datas=[]
        for plugin_klass in cdt.getPlugins():
            plugin=plugin_klass(context)
            self.datas.append(plugin.exportData())
            
    def __call__(self,context):
        """
        import data in context
        """
        plugins=[]
        for data in self.datas:
            plugins.append(IPluginExporter(data))
        
        for p in plugins:
            p.importData(context)
        
    
        
        
