# -*- coding: utf-8 -*-
## Initialize ContentDispatcherTest product
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""
defines BaseTestClass for ContentDispatcher product
"""

__docformat__ = 'restructuredtext'

# Zope imports
from Testing import ZopeTestCase
from Interface.Verify import verifyObject
from zope.interface.verify import verifyObject as Z3verifyObject

# CMF imports
from Products.CMFCore.utils import getToolByName

# Plone imports
from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.setup import PLONE21, PLONE25
from Products.ContentDispatcher.config import HAS_FSS
# We need Five (zope 2.8) and require kupu under plone 2.1

if PLONE21:
    ZopeTestCase.installProduct('Five')

ZopeTestCase.installProduct('ContentDispatcher')
products = ['ContentDispatcher',]    
# We require fss product to test it

if HAS_FSS:
    ZopeTestCase.installProduct('FileSystemStorage')
    products.append('FileSystemStorage')



# Install ProjectBootstrapSite
PloneTestCase.setupPloneSite(products=products)

# transaction
from transaction import commit

from Products.Archetypes.atapi import *
## fss
from Products.ContentDispatcher.config import HAS_FSS

if HAS_FSS:
    from Products.FileSystemStorage.FileSystemStorage import FileSystemStorage \
        as Storage
else:
    from Products.Archetypes.Storage import AttributeStorage as Storage



## base test schema
schema = BaseFolderSchema.copy() + Schema((
        FileField(
            'file',
            storage=Storage()
            ),))


class DummyContent(BaseFolder):
    """ a dummy content """
    portal_type=meta_type=archetypes_name='Dummy'

    __implements__ = BaseFolder.__implements__





class BaseTestCase(PloneTestCase.PloneTestCase):
    """Base class for all test """
    
    def _setup(self):
        PloneTestCase.PloneTestCase._setup(self)
        

        
    def createContent(self):
        
        portal = self.portal
        portal.invokeFactory(id='foldertest',
                             type_name='Folder',
                             )
        portal.foldertest.invokeFactory(id='file',
                                        type_name='File')
        
        portal.foldertest.invokeFactory(id='document',
                                        type_name='Document')

        
    
        
