# -*- coding: utf-8 -*-
## Copyright (C) 2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

"""
test export
"""
__docformat__ = 'restructuredtext'
#python
from StringIO import StringIO

#Zope
from transaction import commit

#CMF
from Products.CMFCore.utils import getToolByName

# Products imports
from Products.ContentDispatcher.tests.base import  BaseTestCase, DummyContent,\
    schema
from Products.ContentDispatcher.plugins import ZexpExporter, FssExporter
from Products.ContentDispatcher.content import ZexpPluginData, FssPluginData

#Archtypes import
from Products.Archetypes.tests.utils import mkDummyInContext


class TestExport(BaseTestCase):
    """
    test  export pluggin
    """

    

    def testExportZexp(self):
        """
        test import via zexp
        """
        self.setRoles(['Manager'])
        
        portal = self.portal
        portal.invokeFactory(id='folderzexp',
                             type_name='Folder',
                             )
        portal.folderzexp.invokeFactory(id='file',
                                        type_name='File')
        
        portal.folderzexp.invokeFactory(id='document',
                                        type_name='Document')
        ## we must commit 
        commit()
        context = self.portal.folderzexp
        zexpexporter = ZexpExporter(context)
        zexpdata = zexpexporter.exportData()
        
        self.failUnless(isinstance(zexpdata,ZexpPluginData))

        


    def testExportFss(self):
        """ test export fss """
        
        self.setRoles(['Manager'])
        f1=mkDummyInContext(DummyContent,
                            oid='dummy',
                            context=self.portal,
                            schema = schema)
        f1.update(**{'file':StringIO('text')})

        f2=mkDummyInContext(DummyContent,
                            oid='dummy',
                            context=f1,
                            schema = schema)
        f2.update(**{'file':StringIO('text2')})

        fssexporter = FssExporter(f1)
        fssexport = fssexporter.exportData()
        self.failUnless(isinstance(fssexport,
                                   FssPluginData))

        self.failUnless(len(fssexport) == 2)
        
        





def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestExport))
    return suite



                                   



