# -*- coding: utf-8 -*-
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


"""
Test case for ContentDispatcher installation
"""

__docformat__ = 'restructuredtext'


# Products imports
from Products.ContentDispatcher.tests.base import  BaseTestCase

#CMF
from Products.CMFCore.utils import getToolByName

class TestInstallation(BaseTestCase):
    """
    test  product installation
    """

    

    def testPresenceOfTool(self):
        cptool = getToolByName(self.portal, 'content_dispatcher_tool')
        self.failUnless(cptool is not None)

    def testPresenceOfPlugin(self):
        cptool = getToolByName(self.portal, 'content_dispatcher_tool')
        
        self.failUnless(len(cptool.getPlugins()) > 0)



def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestInstallation))
    return suite
