# -*- coding: utf-8 -*-
## Copyright (C)2005 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


"""
Test case for ContentDispatcherTool 
"""

__docformat__ = 'restructuredtext'

from StringIO import StringIO

# Products imports
from Products.ContentDispatcher.tests.base import  BaseTestCase, DummyContent,\
    schema
from Products.CMFCore.utils import getToolByName
from Products.ContentDispatcher.plugins import ZexpExporter, FssExporter



class TestTool(BaseTestCase):
    """
    test  tool
    """

    def testRegisterPlugin(self):
        """
        test register plugin
        """

        self.setRoles(['Manager'])
        portal = self.portal
        dtool = getToolByName(portal,'content_dispatcher_tool')
        dtool.registerPlugin('zexp', ZexpExporter, 0)
        dtool.registerPlugin('fss', FssExporter, 10)
        self.failUnless(dtool.getPlugins() == [ZexpExporter,FssExporter])
        dtool.unregisterPlugin('fss')
        self.failUnless(dtool.getPlugins() == [ZexpExporter,])
        
    
def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestTool))
    return suite
